All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.swing.models
Class OLAPMemberDeferredRetrievalTreeNode

    com.sas.swing.models.OLAPMemberDeferredRetrievalTreeNode

All Implemented Interfaces:
  LabeledStringValueInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class OLAPMemberDeferredRetrievalTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.models.OLAPMemberTreeNode
`RB_KEY`

Constructor Summary
`OLAPMemberDeferredRetrievalTreeNode()`
`OLAPMemberDeferredRetrievalTreeNode(AxisInterface axis)`
`OLAPMemberDeferredRetrievalTreeNode(OLAPDataSetInterface model, int[] axesShown, boolean axesVisible)`
`OLAPMemberDeferredRetrievalTreeNode(TupleElementInterface element)`

Method Summary
`java.util.Enumeration` | `breadthFirstEnumeration()`
`java.util.Enumeration` | `children()`
`java.util.Enumeration` | `depthFirstEnumeration()`
`javax.swing.tree.TreeNode` | `getChildAfter(javax.swing.tree.TreeNode aChild)`
`javax.swing.tree.TreeNode` | `getChildAt(int childIndex)`
`javax.swing.tree.TreeNode` | `getChildBefore(javax.swing.tree.TreeNode aChild)`
`int` | `getChildCount()`
`javax.swing.tree.TreeNode` | `getFirstChild()`
`javax.swing.tree.DefaultMutableTreeNode` | `getFirstLeaf()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`javax.swing.tree.TreeNode` | `getLastChild()`
`javax.swing.tree.DefaultMutableTreeNode` | `getLastLeaf()`
`int` | `getLeafCount()`
`javax.swing.tree.DefaultMutableTreeNode` | `getNextLeaf()`
`javax.swing.tree.DefaultMutableTreeNode` | `getNextNode()`
`javax.swing.tree.TreeNode` | `getParent()`
`javax.swing.tree.DefaultMutableTreeNode` | `getPreviousLeaf()`
`javax.swing.tree.DefaultMutableTreeNode` | `getPreviousNode()`
`void` | `insert(javax.swing.tree.MutableTreeNode node, int index)`
`boolean` | `isLeaf()`
`boolean` | `isNodeChild(javax.swing.tree.TreeNode aNode)`
`java.util.Enumeration` | `postorderEnumeration()`
`java.util.Enumeration` | `preorderEnumeration()`
`void` | `remove(int index)`
`void` | `remove(javax.swing.tree.MutableTreeNode node)`
`void` | `removeAllChildren()`
`void` | `removeFromParent()`
`void` | `setParent(javax.swing.tree.MutableTreeNode node)`

Methods inherited from class com.sas.swing.models.OLAPMemberTreeNode
`getChildCount, getLabel, getValue, setLabel, setValue, toString`

Constructor Detail

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode()

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(OLAPDataSetInterface model,
                                               int[] axesShown,
                                               boolean axesVisible)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(TupleElementInterface element)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(AxisInterface axis)
                                        throws OLAPException

Throws:
  `OLAPException`

Method Detail

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `children` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getChildAt` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getChildCount` in class `javax.swing.tree.DefaultMutableTreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getIndex` in class `javax.swing.tree.DefaultMutableTreeNode`

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### insert

    public void insert(javax.swing.tree.MutableTreeNode node,
                       int index)

  Specified by:
    `insert` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `insert` in class `javax.swing.tree.DefaultMutableTreeNode`

### remove

    public void remove(int index)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `remove` in class `javax.swing.tree.DefaultMutableTreeNode`

### remove

    public void remove(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `remove` in class `javax.swing.tree.DefaultMutableTreeNode`

### removeFromParent

    public void removeFromParent()

  Specified by:
    `removeFromParent` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `removeFromParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `setParent` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `setParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### breadthFirstEnumeration

    public java.util.Enumeration breadthFirstEnumeration()

  Overrides:
    `breadthFirstEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### depthFirstEnumeration

    public java.util.Enumeration depthFirstEnumeration()

  Overrides:
    `depthFirstEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildAfter

    public javax.swing.tree.TreeNode getChildAfter(javax.swing.tree.TreeNode aChild)

  Overrides:
    `getChildAfter` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildBefore

    public javax.swing.tree.TreeNode getChildBefore(javax.swing.tree.TreeNode aChild)

  Overrides:
    `getChildBefore` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstChild

    public javax.swing.tree.TreeNode getFirstChild()

  Overrides:
    `getFirstChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstLeaf

    public javax.swing.tree.DefaultMutableTreeNode getFirstLeaf()

  Overrides:
    `getFirstLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLastChild

    public javax.swing.tree.TreeNode getLastChild()

  Overrides:
    `getLastChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLastLeaf

    public javax.swing.tree.DefaultMutableTreeNode getLastLeaf()

  Overrides:
    `getLastLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLeafCount

    public int getLeafCount()

  Overrides:
    `getLeafCount` in class `javax.swing.tree.DefaultMutableTreeNode`

### getNextLeaf

    public javax.swing.tree.DefaultMutableTreeNode getNextLeaf()

  Overrides:
    `getNextLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getNextNode

    public javax.swing.tree.DefaultMutableTreeNode getNextNode()

  Overrides:
    `getNextNode` in class `javax.swing.tree.DefaultMutableTreeNode`

### getPreviousLeaf

    public javax.swing.tree.DefaultMutableTreeNode getPreviousLeaf()

  Overrides:
    `getPreviousLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getPreviousNode

    public javax.swing.tree.DefaultMutableTreeNode getPreviousNode()

  Overrides:
    `getPreviousNode` in class `javax.swing.tree.DefaultMutableTreeNode`

### isNodeChild

    public boolean isNodeChild(javax.swing.tree.TreeNode aNode)

  Overrides:
    `isNodeChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### postorderEnumeration

    public java.util.Enumeration postorderEnumeration()

  Overrides:
    `postorderEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### preorderEnumeration

    public java.util.Enumeration preorderEnumeration()

  Overrides:
    `preorderEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### removeAllChildren

    public void removeAllChildren()

  Overrides:
    `removeAllChildren` in class `javax.swing.tree.DefaultMutableTreeNode`

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.